scala
class Int

[Source: none]

`abstract final` `class` Int
  `extends` AnyVal

  /*

  Class `Int` belongs to the value classes whose instances are not represented as objects by the underlying host system. All value classes inherit from class `AnyVal`.

  Values `MAX_INT` and `MIN_INT` are in defined in object scala.Math.

  /

Method Summary
`def` | != (arg0 : Char) : Boolean
`def` | != (arg0 : Byte) : Boolean
`def` | != (arg0 : Double) : Boolean
`def` | != (arg0 : Int) : Boolean
`def` | != (arg0 : Long) : Boolean
`def` | != (arg0 : Short) : Boolean
`def` | != (arg0 : Float) : Boolean
`def` | % (arg0 : Float) : Float
`def` | % (arg0 : Double) : Double
`def` | % (arg0 : Long) : Long
`def` | % (arg0 : Short) : Int
`def` | % (arg0 : Int) : Int
`def` | % (arg0 : Char) : Int
`def` | % (arg0 : Byte) : Int
`def` | & (arg0 : Long) : Long
`def` | & (arg0 : Int) : Int
`def` | & (arg0 : Short) : Int
`def` | & (arg0 : Byte) : Int
`def` | & (arg0 : Char) : Int
`def` | * (arg0 : Int) : Int
`def` | * (arg0 : Long) : Long
`def` | * (arg0 : Byte) : Int
`def` | * (arg0 : Short) : Int
`def` | * (arg0 : Double) : Double
`def` | * (arg0 : Float) : Float
`def` | * (arg0 : Char) : Int
`def` | + (arg0 : Double) : Double
`def` | + (arg0 : Char) : Int
`def` | + (arg0 : java.lang.String) : java.lang.String
`def` | + (arg0 : Short) : Int
`def` | + (arg0 : Long) : Long
`def` | + (arg0 : Float) : Float
`def` | + (arg0 : Int) : Int
`def` | + (arg0 : Byte) : Int
`def` | - (arg0 : Double) : Double
`def` | - (arg0 : Short) : Int
`def` | - (arg0 : Char) : Int
`def` | - (arg0 : Byte) : Int
`def` | - (arg0 : Int) : Int
`def` | - (arg0 : Long) : Long
`def` | - (arg0 : Float) : Float
`def` | / (arg0 : Byte) : Int
`def` | / (arg0 : Float) : Float
`def` | / (arg0 : Double) : Double
`def` | / (arg0 : Char) : Int
`def` | / (arg0 : Short) : Int
`def` | / (arg0 : Int) : Int
`def` | / (arg0 : Long) : Long
`def` | < (arg0 : Char) : Boolean
`def` | < (arg0 : Byte) : Boolean
`def` | < (arg0 : Float) : Boolean
`def` | < (arg0 : Double) : Boolean
`def` | < (arg0 : Long) : Boolean
`def` | < (arg0 : Short) : Boolean
`def` | < (arg0 : Int) : Boolean
`def` | << (arg0 : Long) : Int
`def` | << (arg0 : Int) : Int
`def` | <= (arg0 : Byte) : Boolean
`def` | <= (arg0 : Double) : Boolean
`def` | <= (arg0 : Char) : Boolean
`def` | <= (arg0 : Short) : Boolean
`def` | <= (arg0 : Long) : Boolean
`def` | <= (arg0 : Float) : Boolean
`def` | <= (arg0 : Int) : Boolean
`def` | == (arg0 : Int) : Boolean
`def` | == (arg0 : Double) : Boolean
`def` | == (arg0 : Long) : Boolean
`def` | == (arg0 : Short) : Boolean
`def` | == (arg0 : Byte) : Boolean
`def` | == (arg0 : Float) : Boolean
`def` | == (arg0 : Char) : Boolean
`def` | > (arg0 : Char) : Boolean
`def` | > (arg0 : Long) : Boolean
`def` | > (arg0 : Byte) : Boolean
`def` | > (arg0 : Int) : Boolean
`def` | > (arg0 : Double) : Boolean
`def` | > (arg0 : Float) : Boolean
`def` | > (arg0 : Short) : Boolean
`def` | >= (arg0 : Char) : Boolean
`def` | >= (arg0 : Float) : Boolean
`def` | >= (arg0 : Short) : Boolean
`def` | >= (arg0 : Byte) : Boolean
`def` | >= (arg0 : Long) : Boolean
`def` | >= (arg0 : Double) : Boolean
`def` | >= (arg0 : Int) : Boolean
`def` | >> (arg0 : Long) : Int
`def` | >> (arg0 : Int) : Int
`def` | >>> (arg0 : Int) : Int
`def` | >>> (arg0 : Long) : Int
`def` | ^ (arg0 : Short) : Int
`def` | ^ (arg0 : Byte) : Int
`def` | ^ (arg0 : Int) : Int
`def` | ^ (arg0 : Char) : Int
`def` | ^ (arg0 : Long) : Long
`def` | toByte : Byte
`def` | toChar : Char
`def` | toDouble : Double
`def` | toFloat : Float
`def` | toInt : Int
`def` | toLong : Long
`def` | toShort : Short
`def` | unary_+ : Int
`def` | unary_- : Int
`def` | unary_~ : Int
`def` | | (arg0 : Byte) : Int
`def` | | (arg0 : Short) : Int
`def` | | (arg0 : Long) : Long
`def` | | (arg0 : Int) : Int
`def` | | (arg0 : Char) : Int

Methods inherited from Any
==, !=, equals, hashCode, toString, isInstanceOf, asInstanceOf

Method Details

`` `def` toByte : Byte

`` `def` toShort : Short

`` `def` toChar : Char

`` `def` toInt : Int

`` `def` toLong : Long

`` `def` toFloat : Float

`` `def` toDouble : Double

`` `def` +(arg0 : java.lang.String) : java.lang.String

`` `def` <<(arg0 : Int) : Int

`` `def` <<(arg0 : Long) : Int

`` `def` >>>(arg0 : Int) : Int

`` `def` >>>(arg0 : Long) : Int

`` `def` >>(arg0 : Int) : Int

`` `def` >>(arg0 : Long) : Int

`` `def` unary_+ : Int

`` `def` unary_- : Int

`` `def` unary_~ : Int

`` `def` ==(arg0 : Byte) : Boolean

`` `def` !=(arg0 : Byte) : Boolean

`` `def` <(arg0 : Byte) : Boolean

`` `def` <=(arg0 : Byte) : Boolean

`` `def` >(arg0 : Byte) : Boolean

`` `def` >=(arg0 : Byte) : Boolean

`` `def` +(arg0 : Byte) : Int

`` `def` -(arg0 : Byte) : Int

`` `def` *(arg0 : Byte) : Int

`` `def` /(arg0 : Byte) : Int

`` `def` %(arg0 : Byte) : Int

`` `def` |(arg0 : Byte) : Int

`` `def` &(arg0 : Byte) : Int

`` `def` ^(arg0 : Byte) : Int

`` `def` ==(arg0 : Short) : Boolean

`` `def` !=(arg0 : Short) : Boolean

`` `def` <(arg0 : Short) : Boolean

`` `def` <=(arg0 : Short) : Boolean

`` `def` >(arg0 : Short) : Boolean

`` `def` >=(arg0 : Short) : Boolean

`` `def` +(arg0 : Short) : Int

`` `def` -(arg0 : Short) : Int

`` `def` *(arg0 : Short) : Int

`` `def` /(arg0 : Short) : Int

`` `def` %(arg0 : Short) : Int

`` `def` |(arg0 : Short) : Int

`` `def` &(arg0 : Short) : Int

`` `def` ^(arg0 : Short) : Int

`` `def` ==(arg0 : Char) : Boolean

`` `def` !=(arg0 : Char) : Boolean

`` `def` <(arg0 : Char) : Boolean

`` `def` <=(arg0 : Char) : Boolean

`` `def` >(arg0 : Char) : Boolean

`` `def` >=(arg0 : Char) : Boolean

`` `def` +(arg0 : Char) : Int

`` `def` -(arg0 : Char) : Int

`` `def` *(arg0 : Char) : Int

`` `def` /(arg0 : Char) : Int

`` `def` %(arg0 : Char) : Int

`` `def` |(arg0 : Char) : Int

`` `def` &(arg0 : Char) : Int

`` `def` ^(arg0 : Char) : Int

`` `def` ==(arg0 : Int) : Boolean

`` `def` !=(arg0 : Int) : Boolean

`` `def` <(arg0 : Int) : Boolean

`` `def` <=(arg0 : Int) : Boolean

`` `def` >(arg0 : Int) : Boolean

`` `def` >=(arg0 : Int) : Boolean

`` `def` +(arg0 : Int) : Int

`` `def` -(arg0 : Int) : Int

`` `def` *(arg0 : Int) : Int

`` `def` /(arg0 : Int) : Int

`` `def` %(arg0 : Int) : Int

`` `def` |(arg0 : Int) : Int

`` `def` &(arg0 : Int) : Int

`` `def` ^(arg0 : Int) : Int

`` `def` ==(arg0 : Long) : Boolean

`` `def` !=(arg0 : Long) : Boolean

`` `def` <(arg0 : Long) : Boolean

`` `def` <=(arg0 : Long) : Boolean

`` `def` >(arg0 : Long) : Boolean

`` `def` >=(arg0 : Long) : Boolean

`` `def` +(arg0 : Long) : Long

`` `def` -(arg0 : Long) : Long

`` `def` *(arg0 : Long) : Long

`` `def` /(arg0 : Long) : Long

`` `def` %(arg0 : Long) : Long

`` `def` |(arg0 : Long) : Long

`` `def` &(arg0 : Long) : Long

`` `def` ^(arg0 : Long) : Long

`` `def` ==(arg0 : Float) : Boolean

`` `def` !=(arg0 : Float) : Boolean

`` `def` <(arg0 : Float) : Boolean

`` `def` <=(arg0 : Float) : Boolean

`` `def` >(arg0 : Float) : Boolean

`` `def` >=(arg0 : Float) : Boolean

`` `def` +(arg0 : Float) : Float

`` `def` -(arg0 : Float) : Float

`` `def` *(arg0 : Float) : Float

`` `def` /(arg0 : Float) : Float

`` `def` %(arg0 : Float) : Float

`` `def` ==(arg0 : Double) : Boolean

`` `def` !=(arg0 : Double) : Boolean

`` `def` <(arg0 : Double) : Boolean

`` `def` <=(arg0 : Double) : Boolean

`` `def` >(arg0 : Double) : Boolean

`` `def` >=(arg0 : Double) : Boolean

`` `def` +(arg0 : Double) : Double

`` `def` -(arg0 : Double) : Double

`` `def` *(arg0 : Double) : Double

`` `def` /(arg0 : Double) : Double

`` `def` %(arg0 : Double) : Double